Subject: bug#13848: Statically linking guile-2.0.

From: [email-masked]
Date: Sun, 10 Mar 2013 00:57:31 +0100

Oh, a present :)

On 10.03.2013, at 00:06, Andy Wingo <[email-masked]> wrote:

> On Sat 09 Mar 2013 14:44, Jan Schukat <[email-masked]> writes:
> 
>> Just tried it again on windows/mingw with the newer tarball:
>> 
>> http://hydra.nixos.org/build/4290536/download/3/guile-2.0.7.157-929d1.tar.gz
> 
> FWIW it seems hydra is totally down right now; of course that would
> happen as soon as ludo goes on holiday ;)
> 
> Here is a tarball I just generated from make dist:
> 
>  http://wingolog.org/priv/guile-2.0.7.179-94c5.tar.gz

Will do that at some point tonight.

> 
>> checking for gcc... gcc
>> checking whether the C compiler works... no
>> configure: error: in `/c/Users/shookie/guiletest/lib/guile-2.0':
>> configure: error: C compiler cannot create executables
> 
> No idea what is happening here, this looks like a problem on your side.

Don't really see how, considering the old tar balls didn't have that problem and that the log file definitely says that gcc gets called with a command line option (-V) that would be illegal on any platform.

> 
> I fixed a bunch of things today.  BTW are you using the old mingw or are
> you using mingw32 or mingw64?  It seems that the mingw64 project (which
> provides both 32- and 64-bit builds) is the current thing, but I don't
> really know.
> 

I'm using standard mingw/msys for this, those have gcc 4.7 already.  All the compilers in cygwin (mingw or not) are still stuck at 4.5. And I assume all other packages lack similarly behind.

> Anyway, please give the new tarball a roll and see how it works for you.
> Be sure to have a relatively new mingw.  I built everything myself, with
> all default options (except --enable-threads=pthreads in bdw-gc, and
> enabling dynamic builds in gmp), and it builds with only some warnings
> about iconv (filed with gnulib).  I can't get it to run under wine
> however, and that must mean something is pretty wrong...
> 
> Happy hacking,
> 
> Andy
> -- 
> http://wingolog.org/